/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: px_hcpcs_prev.sas                                                                   |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: September 22, 2015                                                                          |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       Multiple HC_CPT tables split by time segment                                                  |
|   Program outputs:                                                                                  |
|       Final "HCPCS" Summary Table                                                                   |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

%*** Call Prevalent Summary macro to create aggregates and finalize Px-HCPCS Prevalent Table;
%prev_summ_finalize(
  InFile=DPTemp.HC_CPT,
  OutFile=DPLocal.hcpcs,
  EventVar=Code,
  EventVarLength=5,
  EventVarLabel=%str(CPT or HCPCS Code),
  SummVar=,
  Setting=Y,
  StratVars=AgeTimePeriodGroupKey Sex,
  LookupTbl=InFolder.Px_lookup,
  DescripPairLength=srt_descrip|PxName|35|Procedure Name
  );

** For this table, need to rename a variable;
proc datasets lib=DPLocal nowarn nolist nodetails;
  modify hcpcs;
  rename code=PX_Code;
  run;
quit;

* End of px_hcpcs_prev.sas;
