/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: px_icd9_3d_prev.sas                                                                 |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: October 14, 2015                                                                            |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       Multiple Px_ICD9_3d temporary tables split by time segment                                    |
|   Program outputs:                                                                                  |
|       Final "ICD9 Prevalent (3-digit)" Summary Table                                                |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

%*** Call Prevalent Summary macro to create aggregates and finalize Px-ICD9-3-digit Prevalent Table;
%prev_summ_finalize(
  InFile=DPTemp.Px_ICD9_3d,
  OutFile=DPLocal.ICD9_Procedure,
  EventVar=Code,
  EventVarLength=3,
  EventVarLabel=%str(3-digit ICD9 Px Code),
  SummVar=,
  Setting=Y,
  StratVars=AgeTimePeriodGroupKey Sex,
  LookupTbl=InFolder.Px_icd9_3dig_lookup,
  DescripPairLength=srt_descrip|PxName|35|Procedure Name
  );

* End of px_icd9_3d_prev.sas;
