/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: px_icd9_4d_prev.sas                                                                 |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: October 14, 2015                                                                            |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       Multiple Px_ICD9_4d temporary tables split by time segment                                    |
|   Program outputs:                                                                                  |
|       Final "ICD9 Prevalent (4-digit) " Summary Table                                               |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

%*** Call Prevalent Summary macro to create aggregates and finalize Px-ICD9-4-digit Prevalent Table;
%prev_summ_finalize(
  InFile=DPTemp.Px_ICD9_4d,
  OutFile=DPLocal.ICD9_procedure_4_digit,
  EventVar=Code,
  EventVarLength=4,
  EventVarLabel=%str(4-digit ICD9 Px Code),
  SummVar=,
  Setting=Y,
  StratVars=AgeTimePeriodGroupKey Sex,
  LookupTbl=InFolder.Px_icd9_4dig_lookup,
  DescripPairLength=srt_descrip|PxName|35|Procedure Name
  );

** For this table, need to rename a variable;
proc datasets lib=DPLocal nowarn nolist nodetails;
  modify ICD9_procedure_4_digit;
  rename code=PX_Code;
  run;
quit;

* End of px_icd9_4d_prev.sas;
